<?php
namespace admin\controls;

class ArticleArchiveManager {

  public function getContent()
  {
		$rw = \System::formGet( 'rw' );

		if ( $rw == 'show' )
      return false;
		else
		{
      if ( $rw == 'restore' )
        \admin\factory\ArticleArchiveManager::restore( \System::formGetInt( 'id' ) );
			if ( $rw == 'del' )
				\admin\factory\ArticleArchiveManager::delete( \System::formGetInt( 'id' ) );
			return \admin\view\ArticleArchiveManager::show();
		}
  }
}
?>
